Peplink Portal Docs

Register postpaid service

Register SIMs as postpaid service.

Request

POST/sims/postpaid/register

Body parameters

isDryRunbooleanrequired

Set true to validate the request without applying changes. Set false to valiate and execute postpaid registration.

Turn on this flag for development, testing or debugging. Because postpaid registration cannot be reversed, it is always safe to set isDryRun to true unless you are absolutely sure to execute the postpaid registration.

snsstring arrayoptional

Serial numbers of Peplink devices containing the SIMs to convert to postpaid.

Registering serial numbers you don't own? To register serial numbers owned by another party under your postpaid service, ensure you meet these requirements:

  • You have incontrol access (org admin or group admin roles) over these serial numbers.
  • You have customer authorization to manage their ICCIDs under your postpaid service.
  • For API access: your token includes an email for incontrol role validation.
iccidsstring arrayoptional

ICCIDs of SIMs to convert to postpaid. Make sure the ICCIDs are 3rd-party SIMs, i.e. ICCIDs linked with a Peplink device should be registered via sns.

activationStatusenumoptionaldefault: ACTIVE

Control the SIM Status after successful registration.

  • ACTIVE — The sim is active
  • SUSPENDED — The sim is suspended and no data can be consumed

Response

A json is returned in the response body with the following fields:

snResultsobject array

Registration results for the requested serial numbers.

Show child attributes
snResults.snstring

Serial number from request.

snResults.iccidsstring array

ICCIDs of the SIMs associated with the serial number. Empty if the serial number is invalid or has no SIMs.

snResults.validationErrornullable enum

Validation error for the serial number. null if valid to register postpaid.

  • SN_NOT_ACCESSIBLE — You don't have access on this serial number. You need to be the owner or incontrol admin (org or group) of this serial number.
  • SN_NO_ICCIDS — This serial number has no ICCIDs, therefore there is nothing to register as postpaid service.
  • SN_IN_POOL_PLAN — This serial number is in pool plan. Remove the serial number from pool plan and try again.
iccidResultsobject array

Registration results for the requested ICCIDs and ICCIDs from the requested serial numbers.

Show child attributes
iccidResults.iccidstring

ICCID from request, or ICCID from the requested serial numbers.

iccidResults.simTypenullable enum

SIM type of the ICCID. null if the ICCID is invalid.

  • PHYSICAL — Physical SIM
  • EMBEDDED — eSIM
iccidResults.deviceTypenullable enum

Device type of the ICCID. null if the ICCID is invalid.

  • PEPLINK — Linked with a Peplink Device
  • NON_PEPLINK — 3rd-party SIM
iccidResults.remainingQuotaKbnullable number

Remaining quota (in KB) from prepaid plan. null if the ICCID is not associated with any active prepaid plan.

iccidResults.validationErrornullable enum

Validation error for the iccid. null if the iccid is valid to register postpaid.

  • ICCID_NOT_ACCESSIBLE — You don't have access on this iccid. You need to be the owner of this iccid.
  • ICCID_IS_POSTPAID — This iccid is already registered as postpaid plan. You should not register them as postpaid.
  • ICCID_WITH_UNUSED_QUOTA — This iccid is associated with unused quota under prepaid plan.
  • ICCID_REQUIRE_REGISTER_VIA_SN — This iccid is linked with a Peplink device. You need to register this ICCID via the serial number of the linked Peplink device.

Examples

Request

curl -X POST 'https://portal.peplink.com/api/e/v1/cp/sims/postpaid/register' \  -H 'Authorization: Bearer {token}' \  -H 'Content-Type: application/json' \  --data-raw  '{  "isDryRun": true,  "sns": ["sn1"],  "iccids": ["iccid1"],  "activationStatus": "ACTIVE"}'

Response

{
  "snResults": [
    {
      "sn": "sn1",
      "iccids": [],
      "validationError": "SN_NOT_ACCESSIBLE"
    }
  ],
  "iccidResults": [
    {
      "iccid": "iccid1",
      "simType": null,
      "deviceType": null,
      "remainingQuotaKb": null,
      "validationError": "ICCID_NOT_ACCESSIBLE"
    }
  ]
}

On this page